{
  template: '${tmpl}',
    data: function() {
      return {
        qrcodeurl: "",
        orderInfo:{},
        orderNum:"",
        isBizemp:false,
      }
    },
  mounted: function() {
    this.orderNum = this.$router.history.current.query.orderNum;
    this.isBizemp = this.$router.history.current.query.isBizemp;
    this.getQr();
   
  },
  created: function() {
  },
  methods: {
    getOrderDeatil(){
      var that = this;
      if(!this.orderNum){
        this.$message.warning("orderNum参数错误");
        return;
      }
      this.$root.getReq("/web/orderCtl/getItemTmOrderDetail", { orderNum: this.orderNum }).then(function (d) {
        if (d.code == 1) {
          that.orderInfo = d.data;
        }
      });
    },
    getQr(){
      this.$root.getReq("/wxop/pushmsgWxop/getQr", {}).then(r=> {
        console.log("reeeeeeeeee");
        console.log(r);
        if(r && r.code==1){
          this.qrcodeurl=r.data;
        }
      });
    },
    toMain(){
      this.$root.backhome();
    },
    toOrderDeatil(){
      var that = this;
      if(!this.orderNum){
        this.$message.warning("orderNum参数错误");
        return;
      }
      this.$root.pushx({
        title:"订单详情",
        name:"/tmOrderDetail",
        params:{
          orderNum:this.orderNum
        }
      });
    }
  },
  vname: "gsb_paysuccess"
}
